Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.asn1
Interface ASN1Encoder

All Known Implementing Classes:
  ASN1DER

public interface ASN1Encoder

Method Summary
`int` | `encode(java.io.OutputStream out, ASN1Object object)`
`int` | `encodeBoolean(java.io.OutputStream out, boolean b)`
`int` | `encodeInteger(java.io.OutputStream out, java.math.BigInteger i)`
`int` | `encodeNull(java.io.OutputStream out)`
`int` | `encodeOID(java.io.OutputStream out, int[] oid)`
`int` | `encodeString(java.io.OutputStream out, byte[] string)`
`int` | `encodeStructure(java.io.OutputStream out, ASN1Structure struct)`

Method Detail

### encode

    public int encode(java.io.OutputStream out,
                      ASN1Object object)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeBoolean

    public int encodeBoolean(java.io.OutputStream out,
                             boolean b)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeInteger

    public int encodeInteger(java.io.OutputStream out,
                             java.math.BigInteger i)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeNull

    public int encodeNull(java.io.OutputStream out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeOID

    public int encodeOID(java.io.OutputStream out,
                         int[] oid)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeString

    public int encodeString(java.io.OutputStream out,
                            byte[] string)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeStructure

    public int encodeStructure(java.io.OutputStream out,
                               ASN1Structure struct)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD